package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HRCertificateDTO]
 */
@Data
public class HRCertificateDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [HRCERTIFICATEID]
     *
     */
    @JSONField(name = "hrcertificateid")
    @JsonProperty("hrcertificateid")
    private String hrcertificateid;

    /**
     * 属性 [HRCERTIFICATENAME]
     *
     */
    @JSONField(name = "hrcertificatename")
    @JsonProperty("hrcertificatename")
    private String hrcertificatename;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [HREMPLOYEEID]
     *
     */
    @JSONField(name = "hremployeeid")
    @JsonProperty("hremployeeid")
    private String hremployeeid;

    /**
     * 属性 [HREMPLOYEENAME]
     *
     */
    @JSONField(name = "hremployeename")
    @JsonProperty("hremployeename")
    private String hremployeename;

    /**
     * 属性 [ATTACHMENT]
     *
     */
    @JSONField(name = "attachment")
    @JsonProperty("attachment")
    private String attachment;

    /**
     * 属性 [CERTIFICATECODE]
     *
     */
    @JSONField(name = "certificatecode")
    @JsonProperty("certificatecode")
    private String certificatecode;

    /**
     * 属性 [AUTHORGANIZATION]
     *
     */
    @JSONField(name = "authorganization")
    @JsonProperty("authorganization")
    private String authorganization;

    /**
     * 属性 [AUTHDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "authdate" , format="yyyy-MM-dd")
    @JsonProperty("authdate")
    private Timestamp authdate;

    /**
     * 属性 [EXPIREDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "expiredate" , format="yyyy-MM-dd")
    @JsonProperty("expiredate")
    private Timestamp expiredate;

    /**
     * 属性 [REGISTERCODE]
     *
     */
    @JSONField(name = "registercode")
    @JsonProperty("registercode")
    private String registercode;

    /**
     * 属性 [REGISTERTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "registertime" , format="yyyy-MM-dd")
    @JsonProperty("registertime")
    private Timestamp registertime;

    /**
     * 属性 [MEMO]
     *
     */
    @JSONField(name = "memo")
    @JsonProperty("memo")
    private String memo;

    /**
     * 属性 [REGISTERORGANIZATIONID]
     *
     */
    @JSONField(name = "registerorganizationid")
    @JsonProperty("registerorganizationid")
    private String registerorganizationid;

    /**
     * 属性 [REGISTERORGANIZATIONNAME]
     *
     */
    @JSONField(name = "registerorganizationname")
    @JsonProperty("registerorganizationname")
    private String registerorganizationname;


    /**
     * 设置 [HRCERTIFICATENAME]
     */
    public void setHrcertificatename(String  hrcertificatename){
        this.hrcertificatename = hrcertificatename ;
        this.modify("hrcertificatename",hrcertificatename);
    }

    /**
     * 设置 [HREMPLOYEEID]
     */
    public void setHremployeeid(String  hremployeeid){
        this.hremployeeid = hremployeeid ;
        this.modify("hremployeeid",hremployeeid);
    }

    /**
     * 设置 [ATTACHMENT]
     */
    public void setAttachment(String  attachment){
        this.attachment = attachment ;
        this.modify("attachment",attachment);
    }

    /**
     * 设置 [CERTIFICATECODE]
     */
    public void setCertificatecode(String  certificatecode){
        this.certificatecode = certificatecode ;
        this.modify("certificatecode",certificatecode);
    }

    /**
     * 设置 [AUTHORGANIZATION]
     */
    public void setAuthorganization(String  authorganization){
        this.authorganization = authorganization ;
        this.modify("authorganization",authorganization);
    }

    /**
     * 设置 [AUTHDATE]
     */
    public void setAuthdate(Timestamp  authdate){
        this.authdate = authdate ;
        this.modify("authdate",authdate);
    }

    /**
     * 设置 [EXPIREDATE]
     */
    public void setExpiredate(Timestamp  expiredate){
        this.expiredate = expiredate ;
        this.modify("expiredate",expiredate);
    }

    /**
     * 设置 [REGISTERCODE]
     */
    public void setRegistercode(String  registercode){
        this.registercode = registercode ;
        this.modify("registercode",registercode);
    }

    /**
     * 设置 [REGISTERTIME]
     */
    public void setRegistertime(Timestamp  registertime){
        this.registertime = registertime ;
        this.modify("registertime",registertime);
    }

    /**
     * 设置 [MEMO]
     */
    public void setMemo(String  memo){
        this.memo = memo ;
        this.modify("memo",memo);
    }

    /**
     * 设置 [REGISTERORGANIZATIONID]
     */
    public void setRegisterorganizationid(String  registerorganizationid){
        this.registerorganizationid = registerorganizationid ;
        this.modify("registerorganizationid",registerorganizationid);
    }


}

