package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HREducationDTO]
 */
@Data
public class HREducationDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [HREDUCATIONID]
     *
     */
    @JSONField(name = "hreducationid")
    @JsonProperty("hreducationid")
    private String hreducationid;

    /**
     * 属性 [HREDUCATIONNAME]
     *
     */
    @JSONField(name = "hreducationname")
    @JsonProperty("hreducationname")
    private String hreducationname;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [HREMPLOYEEID]
     *
     */
    @JSONField(name = "hremployeeid")
    @JsonProperty("hremployeeid")
    private String hremployeeid;

    /**
     * 属性 [HREMPLOYEENAME]
     *
     */
    @JSONField(name = "hremployeename")
    @JsonProperty("hremployeename")
    private String hremployeename;

    /**
     * 属性 [DEGREE]
     *
     */
    @JSONField(name = "degree")
    @JsonProperty("degree")
    private String degree;

    /**
     * 属性 [BEGINTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "begintime" , format="yyyy-MM-dd")
    @JsonProperty("begintime")
    private Timestamp begintime;

    /**
     * 属性 [ENDTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "endtime" , format="yyyy-MM-dd")
    @JsonProperty("endtime")
    private Timestamp endtime;

    /**
     * 属性 [SCHOOL]
     *
     */
    @JSONField(name = "school")
    @JsonProperty("school")
    private String school;

    /**
     * 属性 [SUBJECT]
     *
     */
    @JSONField(name = "subject")
    @JsonProperty("subject")
    private String subject;

    /**
     * 属性 [MAJOR]
     *
     */
    @JSONField(name = "major")
    @JsonProperty("major")
    private String major;

    /**
     * 属性 [LEARNMODALITY]
     *
     */
    @JSONField(name = "learnmodality")
    @JsonProperty("learnmodality")
    private String learnmodality;

    /**
     * 属性 [SCHOOLTYPE]
     *
     */
    @JSONField(name = "schooltype")
    @JsonProperty("schooltype")
    private String schooltype;

    /**
     * 属性 [HIGHDEGREEFLAG]
     *
     */
    @JSONField(name = "highdegreeflag")
    @JsonProperty("highdegreeflag")
    private Integer highdegreeflag;

    /**
     * 属性 [FIRSTDEGREEFLAG]
     *
     */
    @JSONField(name = "firstdegreeflag")
    @JsonProperty("firstdegreeflag")
    private Integer firstdegreeflag;

    /**
     * 属性 [ATTACHMENT]
     *
     */
    @JSONField(name = "attachment")
    @JsonProperty("attachment")
    private String attachment;

    /**
     * 属性 [ATTACHMENT1]
     *
     */
    @JSONField(name = "attachment1")
    @JsonProperty("attachment1")
    private String attachment1;

    /**
     * 属性 [ATTACHMENT2]
     *
     */
    @JSONField(name = "attachment2")
    @JsonProperty("attachment2")
    private String attachment2;

    /**
     * 属性 [ATTACHMENT3]
     *
     */
    @JSONField(name = "attachment3")
    @JsonProperty("attachment3")
    private String attachment3;


    /**
     * 设置 [HREDUCATIONNAME]
     */
    public void setHreducationname(String  hreducationname){
        this.hreducationname = hreducationname ;
        this.modify("hreducationname",hreducationname);
    }

    /**
     * 设置 [HREMPLOYEEID]
     */
    public void setHremployeeid(String  hremployeeid){
        this.hremployeeid = hremployeeid ;
        this.modify("hremployeeid",hremployeeid);
    }

    /**
     * 设置 [DEGREE]
     */
    public void setDegree(String  degree){
        this.degree = degree ;
        this.modify("degree",degree);
    }

    /**
     * 设置 [BEGINTIME]
     */
    public void setBegintime(Timestamp  begintime){
        this.begintime = begintime ;
        this.modify("begintime",begintime);
    }

    /**
     * 设置 [ENDTIME]
     */
    public void setEndtime(Timestamp  endtime){
        this.endtime = endtime ;
        this.modify("endtime",endtime);
    }

    /**
     * 设置 [SCHOOL]
     */
    public void setSchool(String  school){
        this.school = school ;
        this.modify("school",school);
    }

    /**
     * 设置 [SUBJECT]
     */
    public void setSubject(String  subject){
        this.subject = subject ;
        this.modify("subject",subject);
    }

    /**
     * 设置 [MAJOR]
     */
    public void setMajor(String  major){
        this.major = major ;
        this.modify("major",major);
    }

    /**
     * 设置 [LEARNMODALITY]
     */
    public void setLearnmodality(String  learnmodality){
        this.learnmodality = learnmodality ;
        this.modify("learnmodality",learnmodality);
    }

    /**
     * 设置 [SCHOOLTYPE]
     */
    public void setSchooltype(String  schooltype){
        this.schooltype = schooltype ;
        this.modify("schooltype",schooltype);
    }

    /**
     * 设置 [HIGHDEGREEFLAG]
     */
    public void setHighdegreeflag(Integer  highdegreeflag){
        this.highdegreeflag = highdegreeflag ;
        this.modify("highdegreeflag",highdegreeflag);
    }

    /**
     * 设置 [FIRSTDEGREEFLAG]
     */
    public void setFirstdegreeflag(Integer  firstdegreeflag){
        this.firstdegreeflag = firstdegreeflag ;
        this.modify("firstdegreeflag",firstdegreeflag);
    }

    /**
     * 设置 [ATTACHMENT]
     */
    public void setAttachment(String  attachment){
        this.attachment = attachment ;
        this.modify("attachment",attachment);
    }

    /**
     * 设置 [ATTACHMENT1]
     */
    public void setAttachment1(String  attachment1){
        this.attachment1 = attachment1 ;
        this.modify("attachment1",attachment1);
    }

    /**
     * 设置 [ATTACHMENT2]
     */
    public void setAttachment2(String  attachment2){
        this.attachment2 = attachment2 ;
        this.modify("attachment2",attachment2);
    }

    /**
     * 设置 [ATTACHMENT3]
     */
    public void setAttachment3(String  attachment3){
        this.attachment3 = attachment3 ;
        this.modify("attachment3",attachment3);
    }


}

