package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HRFamilyDTO]
 */
@Data
public class HRFamilyDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [HRFAMILYNAME]
     *
     */
    @JSONField(name = "hrfamilyname")
    @JsonProperty("hrfamilyname")
    private String hrfamilyname;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [HRFAMILYID]
     *
     */
    @JSONField(name = "hrfamilyid")
    @JsonProperty("hrfamilyid")
    private String hrfamilyid;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [HREMPLOYEEID]
     *
     */
    @JSONField(name = "hremployeeid")
    @JsonProperty("hremployeeid")
    private String hremployeeid;

    /**
     * 属性 [HREMPLOYEENAME]
     *
     */
    @JSONField(name = "hremployeename")
    @JsonProperty("hremployeename")
    private String hremployeename;

    /**
     * 属性 [RELATIONSHIP]
     *
     */
    @JSONField(name = "relationship")
    @JsonProperty("relationship")
    private String relationship;

    /**
     * 属性 [CERTTYPE]
     *
     */
    @JSONField(name = "certtype")
    @JsonProperty("certtype")
    private String certtype;

    /**
     * 属性 [CERTNUM]
     *
     */
    @JSONField(name = "certnum")
    @JsonProperty("certnum")
    private String certnum;

    /**
     * 属性 [SEX]
     *
     */
    @JSONField(name = "sex")
    @JsonProperty("sex")
    private String sex;

    /**
     * 属性 [BIRTHDAY]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "birthday" , format="yyyy-MM-dd")
    @JsonProperty("birthday")
    private Timestamp birthday;

    /**
     * 属性 [AGE]
     *
     */
    @JSONField(name = "age")
    @JsonProperty("age")
    private String age;

    /**
     * 属性 [WORKORGANIZATION]
     *
     */
    @JSONField(name = "workorganization")
    @JsonProperty("workorganization")
    private String workorganization;

    /**
     * 属性 [DUTY]
     *
     */
    @JSONField(name = "duty")
    @JsonProperty("duty")
    private String duty;

    /**
     * 属性 [POLITICAL]
     *
     */
    @JSONField(name = "political")
    @JsonProperty("political")
    private String political;

    /**
     * 属性 [EMERGENCYFLAG]
     *
     */
    @JSONField(name = "emergencyflag")
    @JsonProperty("emergencyflag")
    private Integer emergencyflag;


    /**
     * 设置 [HRFAMILYNAME]
     */
    public void setHrfamilyname(String  hrfamilyname){
        this.hrfamilyname = hrfamilyname ;
        this.modify("hrfamilyname",hrfamilyname);
    }

    /**
     * 设置 [HREMPLOYEEID]
     */
    public void setHremployeeid(String  hremployeeid){
        this.hremployeeid = hremployeeid ;
        this.modify("hremployeeid",hremployeeid);
    }

    /**
     * 设置 [RELATIONSHIP]
     */
    public void setRelationship(String  relationship){
        this.relationship = relationship ;
        this.modify("relationship",relationship);
    }

    /**
     * 设置 [CERTTYPE]
     */
    public void setCerttype(String  certtype){
        this.certtype = certtype ;
        this.modify("certtype",certtype);
    }

    /**
     * 设置 [CERTNUM]
     */
    public void setCertnum(String  certnum){
        this.certnum = certnum ;
        this.modify("certnum",certnum);
    }

    /**
     * 设置 [SEX]
     */
    public void setSex(String  sex){
        this.sex = sex ;
        this.modify("sex",sex);
    }

    /**
     * 设置 [BIRTHDAY]
     */
    public void setBirthday(Timestamp  birthday){
        this.birthday = birthday ;
        this.modify("birthday",birthday);
    }

    /**
     * 设置 [WORKORGANIZATION]
     */
    public void setWorkorganization(String  workorganization){
        this.workorganization = workorganization ;
        this.modify("workorganization",workorganization);
    }

    /**
     * 设置 [DUTY]
     */
    public void setDuty(String  duty){
        this.duty = duty ;
        this.modify("duty",duty);
    }

    /**
     * 设置 [POLITICAL]
     */
    public void setPolitical(String  political){
        this.political = political ;
        this.modify("political",political);
    }

    /**
     * 设置 [EMERGENCYFLAG]
     */
    public void setEmergencyflag(Integer  emergencyflag){
        this.emergencyflag = emergencyflag ;
        this.modify("emergencyflag",emergencyflag);
    }


}

