package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HRLegalDTO]
 */
@Data
public class HRLegalDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [LEGALNAME]
     *
     */
    @JSONField(name = "legalname")
    @JsonProperty("legalname")
    private String legalname;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [LEGALID]
     *
     */
    @JSONField(name = "legalid")
    @JsonProperty("legalid")
    private String legalid;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [ORGANIZATIONTYPE]
     *
     */
    @JSONField(name = "organizationtype")
    @JsonProperty("organizationtype")
    private String organizationtype;

    /**
     * 属性 [ORGLEVEL]
     *
     */
    @JSONField(name = "orglevel")
    @JsonProperty("orglevel")
    private BigInteger orglevel;

    /**
     * 属性 [OPERATIONUNITTYPE]
     *
     */
    @JSONField(name = "operationunittype")
    @JsonProperty("operationunittype")
    private String operationunittype;

    /**
     * 属性 [SHOWORDER]
     *
     */
    @JSONField(name = "showorder")
    @JsonProperty("showorder")
    private BigInteger showorder;

    /**
     * 属性 [ORGCODE]
     *
     */
    @JSONField(name = "orgcode")
    @JsonProperty("orgcode")
    private String orgcode;

    /**
     * 属性 [MEMO]
     *
     */
    @JSONField(name = "memo")
    @JsonProperty("memo")
    private String memo;

    /**
     * 属性 [SHORTNAME]
     *
     */
    @JSONField(name = "shortname")
    @JsonProperty("shortname")
    private String shortname;

    /**
     * 属性 [USCC]
     *
     */
    @JSONField(name = "uscc")
    @JsonProperty("uscc")
    private String uscc;

    /**
     * 属性 [BANK]
     *
     */
    @JSONField(name = "bank")
    @JsonProperty("bank")
    private String bank;

    /**
     * 属性 [BANKACCOUNT]
     *
     */
    @JSONField(name = "bankaccount")
    @JsonProperty("bankaccount")
    private String bankaccount;


    /**
     * 设置 [LEGALNAME]
     */
    public void setLegalname(String  legalname){
        this.legalname = legalname ;
        this.modify("legalname",legalname);
    }

    /**
     * 设置 [USCC]
     */
    public void setUscc(String  uscc){
        this.uscc = uscc ;
        this.modify("uscc",uscc);
    }

    /**
     * 设置 [BANK]
     */
    public void setBank(String  bank){
        this.bank = bank ;
        this.modify("bank",bank);
    }

    /**
     * 设置 [BANKACCOUNT]
     */
    public void setBankaccount(String  bankaccount){
        this.bankaccount = bankaccount ;
        this.modify("bankaccount",bankaccount);
    }


}

