package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HRPostDTO]
 */
@Data
public class HRPostDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [HRPOSTID]
     *
     */
    @JSONField(name = "hrpostid")
    @JsonProperty("hrpostid")
    private String hrpostid;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [HRPOSTNAME]
     *
     */
    @JSONField(name = "hrpostname")
    @JsonProperty("hrpostname")
    private String hrpostname;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [HRDUTYID]
     *
     */
    @JSONField(name = "hrdutyid")
    @JsonProperty("hrdutyid")
    private String hrdutyid;

    /**
     * 属性 [HRDUTYNAME]
     *
     */
    @JSONField(name = "hrdutyname")
    @JsonProperty("hrdutyname")
    private String hrdutyname;

    /**
     * 属性 [POSTCODE]
     *
     */
    @JSONField(name = "postcode")
    @JsonProperty("postcode")
    private String postcode;

    /**
     * 属性 [POSTTYPE]
     *
     */
    @JSONField(name = "posttype")
    @JsonProperty("posttype")
    private String posttype;

    /**
     * 属性 [ACTIVEFLAG]
     *
     */
    @JSONField(name = "activeflag")
    @JsonProperty("activeflag")
    private Integer activeflag;

    /**
     * 属性 [HRORGANIZATIONID]
     *
     */
    @JSONField(name = "hrorganizationid")
    @JsonProperty("hrorganizationid")
    private String hrorganizationid;

    /**
     * 属性 [HRORGANIZATIONNAME]
     *
     */
    @JSONField(name = "hrorganizationname")
    @JsonProperty("hrorganizationname")
    private String hrorganizationname;

    /**
     * 属性 [ENTRYTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "entrytime" , format="yyyy-MM-dd")
    @JsonProperty("entrytime")
    private Timestamp entrytime;

    /**
     * 属性 [POSTNUM]
     *
     */
    @JSONField(name = "postnum")
    @JsonProperty("postnum")
    private BigInteger postnum;


    /**
     * 设置 [HRPOSTNAME]
     */
    public void setHrpostname(String  hrpostname){
        this.hrpostname = hrpostname ;
        this.modify("hrpostname",hrpostname);
    }

    /**
     * 设置 [HRDUTYID]
     */
    public void setHrdutyid(String  hrdutyid){
        this.hrdutyid = hrdutyid ;
        this.modify("hrdutyid",hrdutyid);
    }

    /**
     * 设置 [POSTCODE]
     */
    public void setPostcode(String  postcode){
        this.postcode = postcode ;
        this.modify("postcode",postcode);
    }

    /**
     * 设置 [POSTTYPE]
     */
    public void setPosttype(String  posttype){
        this.posttype = posttype ;
        this.modify("posttype",posttype);
    }

    /**
     * 设置 [ACTIVEFLAG]
     */
    public void setActiveflag(Integer  activeflag){
        this.activeflag = activeflag ;
        this.modify("activeflag",activeflag);
    }

    /**
     * 设置 [HRORGANIZATIONID]
     */
    public void setHrorganizationid(String  hrorganizationid){
        this.hrorganizationid = hrorganizationid ;
        this.modify("hrorganizationid",hrorganizationid);
    }

    /**
     * 设置 [ENTRYTIME]
     */
    public void setEntrytime(Timestamp  entrytime){
        this.entrytime = entrytime ;
        this.modify("entrytime",entrytime);
    }

    /**
     * 设置 [POSTNUM]
     */
    public void setPostnum(BigInteger  postnum){
        this.postnum = postnum ;
        this.modify("postnum",postnum);
    }


}

