package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HRRewardDTO]
 */
@Data
public class HRRewardDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [HRREWARDNAME]
     *
     */
    @JSONField(name = "hrrewardname")
    @JsonProperty("hrrewardname")
    private String hrrewardname;

    /**
     * 属性 [HRREWARDID]
     *
     */
    @JSONField(name = "hrrewardid")
    @JsonProperty("hrrewardid")
    private String hrrewardid;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [HREMPLOYEEID]
     *
     */
    @JSONField(name = "hremployeeid")
    @JsonProperty("hremployeeid")
    private String hremployeeid;

    /**
     * 属性 [HREMPLOYEENAME]
     *
     */
    @JSONField(name = "hremployeename")
    @JsonProperty("hremployeename")
    private String hremployeename;

    /**
     * 属性 [REWARDTYPE]
     *
     */
    @JSONField(name = "rewardtype")
    @JsonProperty("rewardtype")
    private String rewardtype;

    /**
     * 属性 [REWARDLEVEL]
     *
     */
    @JSONField(name = "rewardlevel")
    @JsonProperty("rewardlevel")
    private String rewardlevel;

    /**
     * 属性 [REWARDMONEY]
     *
     */
    @JSONField(name = "rewardmoney")
    @JsonProperty("rewardmoney")
    private Double rewardmoney;

    /**
     * 属性 [REWARDTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "rewardtime" , format="yyyy-MM-dd")
    @JsonProperty("rewardtime")
    private Timestamp rewardtime;

    /**
     * 属性 [AUTHORGANIZATION]
     *
     */
    @JSONField(name = "authorganization")
    @JsonProperty("authorganization")
    private String authorganization;

    /**
     * 属性 [ATTACHMENT]
     *
     */
    @JSONField(name = "attachment")
    @JsonProperty("attachment")
    private String attachment;

    /**
     * 属性 [REWARDEVENT]
     *
     */
    @JSONField(name = "rewardevent")
    @JsonProperty("rewardevent")
    private String rewardevent;


    /**
     * 设置 [HRREWARDNAME]
     */
    public void setHrrewardname(String  hrrewardname){
        this.hrrewardname = hrrewardname ;
        this.modify("hrrewardname",hrrewardname);
    }

    /**
     * 设置 [HREMPLOYEEID]
     */
    public void setHremployeeid(String  hremployeeid){
        this.hremployeeid = hremployeeid ;
        this.modify("hremployeeid",hremployeeid);
    }

    /**
     * 设置 [REWARDTYPE]
     */
    public void setRewardtype(String  rewardtype){
        this.rewardtype = rewardtype ;
        this.modify("rewardtype",rewardtype);
    }

    /**
     * 设置 [REWARDLEVEL]
     */
    public void setRewardlevel(String  rewardlevel){
        this.rewardlevel = rewardlevel ;
        this.modify("rewardlevel",rewardlevel);
    }

    /**
     * 设置 [REWARDMONEY]
     */
    public void setRewardmoney(Double  rewardmoney){
        this.rewardmoney = rewardmoney ;
        this.modify("rewardmoney",rewardmoney);
    }

    /**
     * 设置 [REWARDTIME]
     */
    public void setRewardtime(Timestamp  rewardtime){
        this.rewardtime = rewardtime ;
        this.modify("rewardtime",rewardtime);
    }

    /**
     * 设置 [AUTHORGANIZATION]
     */
    public void setAuthorganization(String  authorganization){
        this.authorganization = authorganization ;
        this.modify("authorganization",authorganization);
    }

    /**
     * 设置 [ATTACHMENT]
     */
    public void setAttachment(String  attachment){
        this.attachment = attachment ;
        this.modify("attachment",attachment);
    }

    /**
     * 设置 [REWARDEVENT]
     */
    public void setRewardevent(String  rewardevent){
        this.rewardevent = rewardevent ;
        this.modify("rewardevent",rewardevent);
    }


}

