package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HRTransferApplyDTO]
 */
@Data
public class HRTransferApplyDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [HRTRANSFERAPPLYID]
     *
     */
    @JSONField(name = "hrtransferapplyid")
    @JsonProperty("hrtransferapplyid")
    private String hrtransferapplyid;

    /**
     * 属性 [HRTRANSFERAPPLYNAME]
     *
     */
    @JSONField(name = "hrtransferapplyname")
    @JsonProperty("hrtransferapplyname")
    private String hrtransferapplyname;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [HREMPLOYEEID]
     *
     */
    @JSONField(name = "hremployeeid")
    @JsonProperty("hremployeeid")
    private String hremployeeid;

    /**
     * 属性 [HREMPLOYEENAME]
     *
     */
    @JSONField(name = "hremployeename")
    @JsonProperty("hremployeename")
    private String hremployeename;

    /**
     * 属性 [ORGANIZATIONID]
     *
     */
    @JSONField(name = "organizationid")
    @JsonProperty("organizationid")
    private String organizationid;

    /**
     * 属性 [ORGANIZATIONNAME]
     *
     */
    @JSONField(name = "organizationname")
    @JsonProperty("organizationname")
    private String organizationname;

    /**
     * 属性 [HRDUTYNAME]
     *
     */
    @JSONField(name = "hrdutyname")
    @JsonProperty("hrdutyname")
    private String hrdutyname;

    /**
     * 属性 [HRPOSTNAME]
     *
     */
    @JSONField(name = "hrpostname")
    @JsonProperty("hrpostname")
    private String hrpostname;

    /**
     * 属性 [HRORGANIZATIONID2]
     *
     */
    @JSONField(name = "hrorganizationid2")
    @JsonProperty("hrorganizationid2")
    private String hrorganizationid2;

    /**
     * 属性 [HRORGANIZATIONNAME2]
     *
     */
    @JSONField(name = "hrorganizationname2")
    @JsonProperty("hrorganizationname2")
    private String hrorganizationname2;

    /**
     * 属性 [HRPOSTID2]
     *
     */
    @JSONField(name = "hrpostid2")
    @JsonProperty("hrpostid2")
    private String hrpostid2;

    /**
     * 属性 [HRPOSTNAME2]
     *
     */
    @JSONField(name = "hrpostname2")
    @JsonProperty("hrpostname2")
    private String hrpostname2;

    /**
     * 属性 [HRDUTYNAME2]
     *
     */
    @JSONField(name = "hrdutyname2")
    @JsonProperty("hrdutyname2")
    private String hrdutyname2;

    /**
     * 属性 [ACTIVETIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "activetime" , format="yyyy-MM-dd")
    @JsonProperty("activetime")
    private Timestamp activetime;

    /**
     * 属性 [ATTACHMENT]
     *
     */
    @JSONField(name = "attachment")
    @JsonProperty("attachment")
    private String attachment;


    /**
     * 设置 [HRTRANSFERAPPLYNAME]
     */
    public void setHrtransferapplyname(String  hrtransferapplyname){
        this.hrtransferapplyname = hrtransferapplyname ;
        this.modify("hrtransferapplyname",hrtransferapplyname);
    }

    /**
     * 设置 [HREMPLOYEEID]
     */
    public void setHremployeeid(String  hremployeeid){
        this.hremployeeid = hremployeeid ;
        this.modify("hremployeeid",hremployeeid);
    }

    /**
     * 设置 [HRDUTYNAME]
     */
    public void setHrdutyname(String  hrdutyname){
        this.hrdutyname = hrdutyname ;
        this.modify("hrdutyname",hrdutyname);
    }

    /**
     * 设置 [HRPOSTNAME]
     */
    public void setHrpostname(String  hrpostname){
        this.hrpostname = hrpostname ;
        this.modify("hrpostname",hrpostname);
    }

    /**
     * 设置 [HRORGANIZATIONID2]
     */
    public void setHrorganizationid2(String  hrorganizationid2){
        this.hrorganizationid2 = hrorganizationid2 ;
        this.modify("hrorganizationid2",hrorganizationid2);
    }

    /**
     * 设置 [HRPOSTID2]
     */
    public void setHrpostid2(String  hrpostid2){
        this.hrpostid2 = hrpostid2 ;
        this.modify("hrpostid2",hrpostid2);
    }

    /**
     * 设置 [HRDUTYNAME2]
     */
    public void setHrdutyname2(String  hrdutyname2){
        this.hrdutyname2 = hrdutyname2 ;
        this.modify("hrdutyname2",hrdutyname2);
    }

    /**
     * 设置 [ACTIVETIME]
     */
    public void setActivetime(Timestamp  activetime){
        this.activetime = activetime ;
        this.modify("activetime",activetime);
    }

    /**
     * 设置 [ATTACHMENT]
     */
    public void setAttachment(String  attachment){
        this.attachment = attachment ;
        this.modify("attachment",attachment);
    }


}

